低危 ImageMagick 7.0.6-4 FITS File MagickCore/attribute.c GetImageDepth 越界读取漏洞

CVE编号

CVE-2017-11753

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-07-31
漏洞描述
ImageMagick是美国ImageMagick Studio公司的一套开源的图象处理软件。该软件可读取、转换、写入多种格式的图片。

ImageMagick 7.0.6-4版本中的MagickCore/attribute.c文件的‘GetImageDepth’函数存在安全漏洞。远程攻击者可借助特制的Flexible Image Transport System (FITS)文件利用该漏洞造成拒绝服务(堆缓冲区越边界读取)。
解决建议
厂商尚未提供漏洞修复方案,请关注厂商主页更新:
https://www.imagemagick.org/script/index.php
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick 7.0.6-4 -
运行在以下环境
系统 fedora_25 autotrace * Up to
(excluding)
0.31.1-49.fc25
运行在以下环境
系统 fedora_25 autotrace-debuginfo * Up to
(excluding)
0.31.1-49.fc25
运行在以下环境
系统 fedora_25 autotrace-devel * Up to
(excluding)
0.31.1-49.fc25
运行在以下环境
系统 fedora_26 autotrace * Up to
(excluding)
0.31.1-49.fc26
运行在以下环境
系统 fedora_26 autotrace-debuginfo * Up to
(excluding)
0.31.1-49.fc26
运行在以下环境
系统 fedora_26 autotrace-devel * Up to
(excluding)
0.31.1-49.fc26
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况